﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace CrosshairTest
{
    internal class SampleData
    {
        public List<Point> SinData { get; set; } = [];
        public List<Point> CosData { get; set; } = [];
        public List<Point> SinCosData { get; set; } = [];
        public SampleData() 
        {
            int count = 100;
            for (int i = 0; i < count; i++) 
            {
                double rad = Math.PI / count * 2 * i;
                double sin = Math.Sin(rad);
                double cos = Math.Cos(rad);
                double sinCos = sin * cos;
                SinData.Add(new Point(rad, sin));
                CosData.Add(new Point(rad, cos));
                SinCosData.Add(new Point(rad, sinCos));
            }
        }
    }
}
